Loading...
Searching...
No Matches
jack_transport_info_t Struct Reference
Transport and Timebase control

`#include <transport.h>`

## Data Fields

jack_nframes_t | frame_rate
jack_time_t | usecs
jack_transport_bits_t | valid
jack_transport_state_t | transport_state
jack_nframes_t | frame
jack_nframes_t | loop_start
jack_nframes_t | loop_end
long | smpte_offset
float | smpte_frame_rate
int | bar
int | beat
int | tick
double | bar_start_tick
float | beats_per_bar
float | beat_type
double | ticks_per_beat
double | beats_per_minute

## Detailed Description

Deprecated struct for transport position information.

Deprecated:
  This is for compatibility with the earlier transport interface. Use the jack_position_t struct, instead.

The documentation for this struct was generated from the following file:

- transport.h